Index: plugins/dcCKEditor/js/ckeditor/plugins/a11yhelp/dialogs/lang/pt.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/plugins/a11yhelp/dialogs/lang/pt.js	(revision 3175)
+++ plugins/dcCKEditor/js/ckeditor/plugins/a11yhelp/dialogs/lang/pt.js	(revision 3339)
@@ -13,9 +13,9 @@
 			{
 			name: 'Barra de ferramentas do editor',
-			legend: 'Clique em ${toolbarFocus} para navegar para a barra de ferramentas. Vá para o grupo da barra de ferramentas anterior e seguinte com TAB e SHIFT+TAB. Vá para o botão da barra de ferramentas anterior com a SETA DIREITA ou ESQUERDA. Pressione ESPAÇO ou ENTER para ativar o botão da barra de ferramentas.'
+			legend: 'Clique em ${toolbarFocus} para navegar na barra de ferramentas. Para navegar entre o grupo da barra de ferramentas anterior e seguinte use TAB e SHIFT+TAB. Para navegar entre o botão da barra de ferramentas seguinte e anterior use a SETA DIREITA ou SETA ESQUERDA. Carregue em ESPAÇO ou ENTER para ativar o botão da barra de ferramentas.'
 		},
 
 			{
-			name: 'Janela do Editor',
+			name: 'Janela do editor',
 			legend:
 				'Inside a dialog, press TAB to navigate to the next dialog element, press SHIFT+TAB to move to the previous dialog element, press ENTER to submit the dialog, press ESC to cancel the dialog. When a dialog has multiple tabs, the tab list can be reached either with ALT+F10 or with TAB as part of the dialog tabbing order. With tab list focused, move to the next and previous tab with RIGHT and LEFT ARROW, respectively.'  // MISSING
@@ -23,5 +23,5 @@
 
 			{
-			name: 'Menu de Contexto do Editor',
+			name: 'Menu de contexto do editor',
 			legend: 'Clique em ${contextMenu} ou TECLA APLICAÇÃO para abrir o menu de contexto. Depois vá para a opção do menu seguinte com TAB ou SETA PARA BAIXO. Vá para a opção anterior com  SHIFT+TAB ou SETA PARA CIMA. Pressione ESPAÇO ou ENTER para selecionar a opção do menu.  Abra o submenu da opção atual com ESPAÇO, ENTER ou SETA DIREITA. GVá para o item do menu parente  com ESC ou SETA ESQUERDA. Feche o menu de contexto com ESC.'
 		},
@@ -29,10 +29,10 @@
 			{
 			name: 'Editor de caixa em lista',
-			legend: 'Dentro da caixa da lista, vá para o itemda lista seguinte com TAB ou SETA PARA BAIXO. Move Vá parao item da lista anterior com SHIFT+TAB ou SETA PARA BAIXO. Pressione ESPAÇO ou ENTER para selecionar a opção da lista. Pressione ESC para fechar a caisa da lista.'
+			legend: 'Dentro de uma lista, para navegar para o item seguinte da lista use TAB ou SETA PARA BAIXO. Para o item anterior da lista use SHIFT+TAB ou SETA PARA BAIXO. Carregue em ESPAÇO ou ENTER para selecionar a opção lista. Carregue em ESC para fechar a caixa da lista.'
 		},
 
 			{
-			name: 'Caminho Barra Elemento Editor',
-			legend: 'Clique em ${elementsPathFocus} para navegar para a barra do caminho dos elementos. Vá para o botão do elemento seguinte com TAB ou SETA DIREITA. Vá para o botão anterior com SHIFT+TAB ou SETA ESQUERDA. Pressione ESPAÇO ou ENTER para selecionar o elemento no editor.'
+			name: 'Editor da barra de caminho dos elementos',
+			legend: 'Clique em ${elementsPathFocus} para navegar na barra de caminho dos elementos. Para o botão do elemento seguinte use TAB ou SETA DIREITA. para o botão anterior use SHIFT+TAB ou SETA ESQUERDA. Carregue em ESPAÇO ou ENTER para selecionar o elemento no editor.'
 		}
 		]
@@ -42,33 +42,33 @@
 		items: [
 			{
-			name: 'Comando de Anular',
+			name: 'Comando de anular',
 			legend: 'Carregar ${undo}'
 		},
 			{
-			name: 'Comando de Refazer',
-			legend: 'Pressione ${redo}'
+			name: 'Comando de refazer',
+			legend: 'Clique ${redo}'
 		},
 			{
-			name: 'Comando de Negrito',
+			name: 'Comando de negrito',
 			legend: 'Pressione ${bold}'
 		},
 			{
-			name: 'Comando de Itálico',
+			name: 'Comando de itálico',
 			legend: 'Pressione ${italic}'
 		},
 			{
-			name: 'Comando de Sublinhado',
+			name: 'Comando de sublinhado',
 			legend: 'Pressione ${underline}'
 		},
 			{
-			name: 'Comando de Hiperligação',
+			name: 'Comando de hiperligação',
 			legend: 'Pressione ${link}'
 		},
 			{
-			name: 'Comando de Ocultar Barra de Ferramentas',
+			name: 'Comando de ocultar barra de ferramentas',
 			legend: 'Pressione ${toolbarCollapse}'
 		},
 			{
-			name: 'Acesso comando do espaço focus anterior',
+			name: 'Aceder ao comando espaço de foco anterior',
 			legend: 'Clique em ${accessPreviousSpace} para aceder ao espaço do focos inalcançável mais perto antes do sinal de omissão, por exemplo: dois elementos HR adjacentes. Repetir a combinação da chave para alcançar os espaços dos focos distantes.'
 		},
@@ -120,5 +120,5 @@
 	subtract: 'Subtrair',
 	decimalPoint: 'Decimal Point', // MISSING
-	divide: 'Divide', // MISSING
+	divide: 'Separar',
 	f1: 'F1',
 	f2: 'F2',
@@ -138,6 +138,6 @@
 	equalSign: 'Equal Sign', // MISSING
 	comma: 'Vírgula',
-	dash: 'Dash', // MISSING
-	period: 'Period', // MISSING
+	dash: 'Cardinal',
+	period: 'Ponto',
 	forwardSlash: 'Forward Slash', // MISSING
 	graveAccent: 'Acento grave',
@@ -145,4 +145,4 @@
 	backSlash: 'Backslash', // MISSING
 	closeBracket: 'Close Bracket', // MISSING
-	singleQuote: 'Single Quote' // MISSING
+	singleQuote: 'Plica'
 } );
Index: plugins/dcCKEditor/js/ckeditor/plugins/a11yhelp/dialogs/lang/sl.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/plugins/a11yhelp/dialogs/lang/sl.js	(revision 3175)
+++ plugins/dcCKEditor/js/ckeditor/plugins/a11yhelp/dialogs/lang/sl.js	(revision 3339)
@@ -5,6 +5,6 @@
 
 CKEDITOR.plugins.setLang( 'a11yhelp', 'sl', {
-	title: 'Navodila Dostopnosti',
-	contents: 'Vsebina Pomoči. Če želite zapreti to pogovorno okno pritisnite ESC.',
+	title: 'Navodila za dostopnost',
+	contents: 'Vsebina pomoči. Če želite zapreti pogovorno okno, pritisnite ESC.',
 	legend: [
 		{
@@ -12,5 +12,5 @@
 		items: [
 			{
-			name: 'Urejevalna Orodna Vrstica',
+			name: 'Orodna vrstica urejevalnika',
 			legend: 'Pritisnite ${toolbarFocus} za pomik v orodno vrstico. Z TAB in SHIFT+TAB se pomikate na naslednjo in prejšnjo skupino orodne vrstice. Z DESNO PUŠČICO ali LEVO PUŠČICO se pomikate na naslednji in prejšnji gumb orodne vrstice. Pritisnite SPACE ali ENTER, da aktivirate gumb orodne vrstice.'
 		},
@@ -23,5 +23,5 @@
 
 			{
-			name: 'Urejevalni Kontekstni Meni',
+			name: 'Kontekstni meni urejevalnika',
 			legend: 'Pritisnite ${contextMenu} ali APPLICATION KEY, da odprete kontekstni meni. Nato se premaknite na naslednjo možnost menija s tipko TAB ali PUŠČICA DOL. Premakniti se na prejšnjo možnost z SHIFT + TAB ali PUŠČICA GOR. Pritisnite SPACE ali ENTER za izbiro možnosti menija. Odprite podmeni trenutne možnosti menija s tipko SPACE ali ENTER ali DESNA PUŠČICA. Vrnite se na matični element menija s tipko ESC ali LEVA PUŠČICA. Zaprite kontekstni meni z ESC.'
 		},
@@ -78,5 +78,5 @@
 		},
 			{
-			name: 'Pomoč Dostopnosti',
+			name: 'Pomoč dostopnosti',
 			legend: 'Pritisnite ${a11yHelp}'
 		}
@@ -97,12 +97,12 @@
 	end: 'End',
 	home: 'Home',
-	leftArrow: 'Levo puščica',
-	upArrow: 'Gor puščica',
-	rightArrow: 'Desno puščica',
-	downArrow: 'Dol puščica',
+	leftArrow: 'Puščica levo',
+	upArrow: 'Puščica gor',
+	rightArrow: 'Puščica desno',
+	downArrow: 'Puščica dol',
 	insert: 'Insert',
 	'delete': 'Delete',
-	leftWindowKey: 'Leva Windows tipka',
-	rightWindowKey: 'Desna Windows tipka',
+	leftWindowKey: 'Leva tipka Windows',
+	rightWindowKey: 'Desna tipka Windows',
 	selectKey: 'Select tipka',
 	numpad0: 'Numpad 0',
@@ -136,5 +136,5 @@
 	scrollLock: 'Scroll Lock',
 	semiColon: 'Podpičje',
-	equalSign: 'enačaj',
+	equalSign: 'Enačaj',
 	comma: 'Vejica',
 	dash: 'Vezaj',
@@ -144,5 +144,5 @@
 	openBracket: 'Oklepaj',
 	backSlash: 'Leva poševnica',
-	closeBracket: 'Oklepaj',
+	closeBracket: 'Zaklepaj',
 	singleQuote: 'Opuščaj'
 } );
Index: plugins/dcCKEditor/js/ckeditor/plugins/about/dialogs/about.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/plugins/about/dialogs/about.js	(revision 3175)
+++ plugins/dcCKEditor/js/ckeditor/plugins/about/dialogs/about.js	(revision 3339)
@@ -53,15 +53,15 @@
 						'<p>' +
 							'CKEditor ' + CKEDITOR.version + ' (revision ' + CKEDITOR.revision + ')<br>' +
-							'<a target="_blank" href="http://ckeditor.com/">http://ckeditor.com</a>' +
+							'<a target="_blank" rel="noopener noreferrer" href="http://ckeditor.com/">http://ckeditor.com</a>' +
 						'</p>' +
 						'<p>' +
-							lang.help.replace( '$1', '<a target="_blank" href="http://docs.ckeditor.com/user">' + lang.userGuide + '</a>' ) +
+							lang.help.replace( '$1', '<a target="_blank" rel="noopener noreferrer" href="http://docs.ckeditor.com/user">' + lang.userGuide + '</a>' ) +
 						'</p>' +
 						'<p>' +
 							lang.moreInfo + '<br>' +
-							'<a target="_blank" href="http://ckeditor.com/about/license">http://ckeditor.com/about/license</a>' +
+							'<a target="_blank" rel="noopener noreferrer" href="http://ckeditor.com/about/license">http://ckeditor.com/about/license</a>' +
 						'</p>' +
 						'<p>' +
-							lang.copy.replace( '$1', '<a target="_blank" href="http://cksource.com/">CKSource</a> - Frederico Knabben' ) +
+							lang.copy.replace( '$1', '<a target="_blank" rel="noopener noreferrer" href="http://cksource.com/">CKSource</a> - Frederico Knabben' ) +
 						'</p>' +
 						'</div>'
Index: plugins/dcCKEditor/js/ckeditor/plugins/link/dialogs/link.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/plugins/link/dialogs/link.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/plugins/link/dialogs/link.js	(revision 3339)
@@ -8,5 +8,6 @@
 ( function() {
 	CKEDITOR.dialog.add( 'link', function( editor ) {
-		var plugin = CKEDITOR.plugins.link;
+		var plugin = CKEDITOR.plugins.link,
+			initialLinkText;
 
 		// Handles the event when the "Target" selection box is changed.
@@ -111,5 +112,5 @@
 			title: linkLang.title,
 			minWidth: 350,
-			minHeight: 240,
+			minHeight: 230,
 			contents: [ {
 				id: 'info',
@@ -117,4 +118,21 @@
 				title: linkLang.info,
 				elements: [ {
+					type: 'text',
+					id: 'linkDisplayText',
+					label: linkLang.displayText,
+					setup: function() {
+						this.enable();
+
+						this.setValue( editor.getSelection().getSelectedText() );
+
+						// Keep inner text so that it can be compared in commit function. By obtaining value from getData()
+						// we get value stripped from new line chars which is important when comparing the value later on.
+						initialLinkText = this.getValue();
+					},
+					commit: function( data ) {
+						data.linkText = this.isEnabled() ? this.getValue() : '';
+					}
+				},
+				{
 					id: 'linkType',
 					type: 'select',
@@ -777,23 +795,4 @@
 							commit: commitAdvParams
 						} ]
-					},
-					{
-						type: 'hbox',
-						widths: [ '45%', '55%' ],
-						children: [ {
-							type: 'checkbox',
-							id: 'download',
-							requiredContent: 'a[download]',
-							label: linkLang.download,
-							setup: function( data ) {
-								if ( data.download !== undefined )
-									this.setValue( 'checked', 'checked' );
-							},
-							commit: function( data ) {
-								if ( this.getValue() ) {
-									data.download = this.getValue();
-								}
-							}
-						} ]
 					} ]
 				} ]
@@ -802,4 +801,6 @@
 				var editor = this.getParentEditor(),
 					selection = editor.getSelection(),
+					selectedElement = selection.getSelectedElement(),
+					displayTextField = this.getContentElement( 'info', 'linkDisplayText' ).getElement().getParent().getParent(),
 					element = null;
 
@@ -808,8 +809,17 @@
 					// Don't change selection if some element is already selected.
 					// For example - don't destroy fake selection.
-					if ( !selection.getSelectedElement() )
+					if ( !selectedElement ) {
 						selection.selectElement( element );
+						selectedElement = element;
+					}
 				} else {
 					element = null;
+				}
+
+				// Here we'll decide whether or not we want to show Display Text field.
+				if ( plugin.showDisplayTextForElement( selectedElement, editor ) ) {
+					displayTextField.show();
+				} else {
+					displayTextField.hide();
 				}
 
@@ -828,16 +838,37 @@
 
 				var selection = editor.getSelection(),
-					attributes = plugin.getLinkAttributes( editor, data );
+					attributes = plugin.getLinkAttributes( editor, data ),
+					bm,
+					nestedLinks;
 
 				if ( !this._.selectedElement ) {
-					var range = selection.getRanges()[ 0 ];
+					var range = selection.getRanges()[ 0 ],
+						text;
 
 					// Use link URL as text with a collapsed cursor.
 					if ( range.collapsed ) {
 						// Short mailto link text view (#5736).
-						var text = new CKEDITOR.dom.text( data.type == 'email' ?
-							data.email.address : attributes.set[ 'data-cke-saved-href' ], editor.document );
+						text = new CKEDITOR.dom.text( data.linkText || ( data.type == 'email' ?
+							data.email.address : attributes.set[ 'data-cke-saved-href' ] ), editor.document );
 						range.insertNode( text );
 						range.selectNodeContents( text );
+					} else if ( initialLinkText !== data.linkText ) {
+						text = new CKEDITOR.dom.text( data.linkText, editor.document );
+
+						// Shrink range to preserve block element.
+						range.shrink( CKEDITOR.SHRINK_TEXT );
+
+						// Use extractHtmlFromRange to remove markup within the selection. Also this method is a little
+						// smarter than range#deleteContents as it plays better e.g. with table cells.
+						editor.editable().extractHtmlFromRange( range );
+
+						range.insertNode( text );
+					}
+
+					// Editable links nested within current range should be removed, so that the link is applied to whole selection.
+					nestedLinks = range._find( 'a' );
+
+					for	( var i = 0; i < nestedLinks.length; i++ ) {
+						nestedLinks[ i ].remove( true );
 					}
 
@@ -855,15 +886,21 @@
 					var element = this._.selectedElement,
 						href = element.data( 'cke-saved-href' ),
-						textView = element.getHtml();
+						textView = element.getHtml(),
+						newText;
 
 					element.setAttributes( attributes.set );
 					element.removeAttributes( attributes.removed );
 
-					// Update text view when user changes protocol (#4612).
-					if ( href == textView || data.type == 'email' && textView.indexOf( '@' ) != -1 ) {
+					if ( data.linkText && initialLinkText != data.linkText ) {
+						// Display text has been changed.
+						newText = data.linkText;
+					} else if ( href == textView || data.type == 'email' && textView.indexOf( '@' ) != -1 ) {
+						// Update text view when user changes protocol (#4612).
 						// Short mailto link text view (#5736).
-						element.setHtml( data.type == 'email' ?
-							data.email.address : attributes.set[ 'data-cke-saved-href' ] );
-
+						newText = data.type == 'email' ? data.email.address : attributes.set[ 'data-cke-saved-href' ];
+					}
+
+					if ( newText ) {
+						element.setText( newText );
 						// We changed the content, so need to select it again.
 						selection.selectElement( element );
Index: plugins/dcCKEditor/js/ckeditor/plugins/specialchar/dialogs/lang/eu.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/plugins/specialchar/dialogs/lang/eu.js	(revision 3175)
+++ plugins/dcCKEditor/js/ckeditor/plugins/specialchar/dialogs/lang/eu.js	(revision 3339)
@@ -14,11 +14,11 @@
 	iexcl: 'Inverted exclamation mark', // MISSING
 	cent: 'Cent sign', // MISSING
-	pound: 'Pound sign', // MISSING
+	pound: 'Libera zeinua',
 	curren: 'Currency sign', // MISSING
-	yen: 'Yen sign', // MISSING
+	yen: 'Yen zeinua',
 	brvbar: 'Broken bar', // MISSING
 	sect: 'Section sign', // MISSING
-	uml: 'Diaeresis', // MISSING
-	copy: 'Copyright sign', // MISSING
+	uml: 'Dieresia',
+	copy: 'Copyright zeinua',
 	ordf: 'Feminine ordinal indicator', // MISSING
 	laquo: 'Left-pointing double angle quotation mark', // MISSING
@@ -64,5 +64,5 @@
 	Otilde: 'Latin capital letter O with tilde', // MISSING
 	Ouml: 'Latin capital letter O with diaeresis', // MISSING
-	times: 'Multiplication sign', // MISSING
+	times: 'Bider zeinua',
 	Oslash: 'Latin capital letter O with stroke', // MISSING
 	Ugrave: 'Latin capital letter U with grave accent', // MISSING
@@ -117,5 +117,5 @@
 	trade: 'Trade mark sign', // MISSING
 	'9658': 'Black right-pointing pointer', // MISSING
-	bull: 'Bullet', // MISSING
+	bull: 'Buleta',
 	rarr: 'Rightwards arrow', // MISSING
 	rArr: 'Rightwards double arrow', // MISSING
Index: plugins/dcCKEditor/js/ckeditor/plugins/specialchar/dialogs/lang/fr.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/plugins/specialchar/dialogs/lang/fr.js	(revision 3175)
+++ plugins/dcCKEditor/js/ckeditor/plugins/specialchar/dialogs/lang/fr.js	(revision 3339)
@@ -5,18 +5,18 @@
 
 CKEDITOR.plugins.setLang( 'specialchar', 'fr', {
-	euro: 'Symbole Euro',
+	euro: 'Symbole euro',
 	lsquo: 'Guillemet simple ouvrant',
 	rsquo: 'Guillemet simple fermant',
 	ldquo: 'Guillemet double ouvrant',
 	rdquo: 'Guillemet double fermant',
-	ndash: 'Tiret haut',
+	ndash: 'Tiret demi-cadratin',
 	mdash: 'Tiret cadratin',
 	iexcl: 'Point d\'exclamation inversé',
-	cent: 'Symbole Cent',
-	pound: 'Symbole Livre Sterling',
+	cent: 'Symbole cent',
+	pound: 'Symbole Livre sterling',
 	curren: 'Symbole monétaire',
-	yen: 'Symbole Yen',
+	yen: 'Symbole yen',
 	brvbar: 'Barre verticale scindée',
-	sect: 'Section',
+	sect: 'Signe de section',
 	uml: 'Tréma',
 	copy: 'Symbole Copyright',
@@ -24,12 +24,12 @@
 	laquo: 'Guillemet français ouvrant',
 	not: 'Crochet de négation',
-	reg: 'Marque déposée',
+	reg: 'Symbole de marque déposée',
 	macr: 'Macron',
-	deg: 'Degré',
+	deg: 'Symbole degré',
 	sup2: 'Exposant 2',
 	sup3: 'Exposant 3',
 	acute: 'Accent aigu',
-	micro: 'Omicron',
-	para: 'Paragraphe',
+	micro: 'Symbole micro',
+	para: 'Symbole pied-de-mouche',
 	middot: 'Point médian',
 	cedil: 'Cédille',
@@ -37,83 +37,83 @@
 	ordm: 'Indicateur ordinal masculin',
 	raquo: 'Guillemet français fermant',
-	frac14: 'Un quart',
-	frac12: 'Un demi',
-	frac34: 'Trois quarts',
+	frac14: 'Fraction un quart',
+	frac12: 'Fraction un demi',
+	frac34: 'Fraction trois quarts',
 	iquest: 'Point d\'interrogation inversé',
-	Agrave: 'A majuscule accent grave',
-	Aacute: 'A majuscule accent aigu',
-	Acirc: 'A majuscule accent circonflexe',
-	Atilde: 'A majuscule avec caron',
-	Auml: 'A majuscule tréma',
-	Aring: 'A majuscule avec un rond au-dessus',
-	AElig: 'Æ majuscule ligaturés',
-	Ccedil: 'C majuscule cédille',
-	Egrave: 'E majuscule accent grave',
-	Eacute: 'E majuscule accent aigu',
-	Ecirc: 'E majuscule accent circonflexe',
-	Euml: 'E majuscule tréma',
-	Igrave: 'I majuscule accent grave',
-	Iacute: 'I majuscule accent aigu',
-	Icirc: 'I majuscule accent circonflexe',
-	Iuml: 'I majuscule tréma',
+	Agrave: 'A accent grave majuscule',
+	Aacute: 'A accent aigu majuscule',
+	Acirc: 'A accent circonflexe majuscule',
+	Atilde: 'A caron majuscule',
+	Auml: 'A tréma majuscule',
+	Aring: 'A rond majuscule',
+	AElig: 'Ligature Æ majuscule',
+	Ccedil: 'C cédille majuscule',
+	Egrave: 'E accent grave majuscule',
+	Eacute: 'E accent aigu majuscule',
+	Ecirc: 'E accent circonflexe majuscule',
+	Euml: 'E tréma majuscule',
+	Igrave: 'I accent grave majuscule',
+	Iacute: 'I accent aigu majuscule',
+	Icirc: 'I accent circonflexe majuscule',
+	Iuml: 'I tréma majuscule',
 	ETH: 'Lettre majuscule islandaise ED',
-	Ntilde: 'N majuscule avec caron',
-	Ograve: 'O majuscule accent grave',
-	Oacute: 'O majuscule accent aigu',
-	Ocirc: 'O majuscule accent circonflexe',
-	Otilde: 'O majuscule avec caron',
-	Ouml: 'O majuscule tréma',
-	times: 'Multiplication',
-	Oslash: 'O majuscule barré',
-	Ugrave: 'U majuscule accent grave',
-	Uacute: 'U majuscule accent aigu',
-	Ucirc: 'U majuscule accent circonflexe',
-	Uuml: 'U majuscule tréma',
-	Yacute: 'Y majuscule accent aigu',
-	THORN: 'Lettre islandaise Thorn majuscule',
-	szlig: 'Lettre minuscule allemande s dur',
-	agrave: 'a minuscule accent grave',
-	aacute: 'a minuscule accent aigu',
-	acirc: 'a minuscule accent circonflexe',
-	atilde: 'a minuscule avec caron',
-	auml: 'a minuscule tréma',
-	aring: 'a minuscule avec un rond au-dessus',
-	aelig: 'æ minuscule ligaturés',
-	ccedil: 'c minuscule cédille',
-	egrave: 'e minuscule accent grave',
-	eacute: 'e minuscule accent aigu',
-	ecirc: 'e minuscule accent circonflexe',
-	euml: 'e minuscule tréma',
-	igrave: 'i minuscule accent grave',
-	iacute: 'i minuscule accent aigu',
-	icirc: 'i minuscule accent circonflexe',
+	Ntilde: 'N caron majuscule',
+	Ograve: 'O accent grave majuscule',
+	Oacute: 'O accent aigu majuscule',
+	Ocirc: 'O accent circonflexe majuscule',
+	Otilde: 'O caron majuscule',
+	Ouml: 'O tréma majuscule',
+	times: 'Symbole de multiplication',
+	Oslash: 'O barré majuscule',
+	Ugrave: 'U accent grave majuscule',
+	Uacute: 'U accent aigu majuscule',
+	Ucirc: 'U accent circonflexe majuscule',
+	Uuml: 'U tréma majuscule',
+	Yacute: 'Y accent aigu majuscule',
+	THORN: 'Lettre islandaise thorn majuscule',
+	szlig: 'Lettre minuscule allemande S dur',
+	agrave: 'A accent grave minuscule',
+	aacute: 'A accent aigu minuscule',
+	acirc: 'A accent circonflexe minuscule',
+	atilde: 'A tilde minuscule',
+	auml: 'A tréma minuscule',
+	aring: 'A rond minuscule',
+	aelig: 'Ligature Æ minuscule',
+	ccedil: 'C cédille minuscule',
+	egrave: 'E accent grave minuscule',
+	eacute: 'E accent aigu minuscule',
+	ecirc: 'E accent circonflexe minuscule',
+	euml: 'E tréma minuscule',
+	igrave: 'I accent grave minuscule',
+	iacute: 'I accent aigu minuscule',
+	icirc: 'I accent circonflexe minuscule',
 	iuml: 'i minuscule tréma',
 	eth: 'Lettre minuscule islandaise ED',
-	ntilde: 'n minuscule avec caron',
-	ograve: 'o minuscule accent grave',
-	oacute: 'o minuscule accent aigu',
-	ocirc: 'o minuscule accent circonflexe',
-	otilde: 'o minuscule avec caron',
-	ouml: 'o minuscule tréma',
-	divide: 'Division',
-	oslash: 'o minuscule barré',
-	ugrave: 'u minuscule accent grave',
-	uacute: 'u minuscule accent aigu',
-	ucirc: 'u minuscule accent circonflexe',
-	uuml: 'u minuscule tréma',
-	yacute: 'y minuscule accent aigu',
+	ntilde: 'N caron minuscule',
+	ograve: 'O minuscule accent grave',
+	oacute: 'O accent aigu minuscule',
+	ocirc: 'O accent circonflexe minuscule',
+	otilde: 'O tilde minuscule',
+	ouml: 'O tréma minuscule',
+	divide: 'Symbole de division',
+	oslash: 'O barré minuscule',
+	ugrave: 'U accent grave minuscule',
+	uacute: 'U accent aigu minuscule',
+	ucirc: 'U accent circonflexe minuscule',
+	uuml: 'U tréma minuscule',
+	yacute: 'Y accent aigu minuscule',
 	thorn: 'Lettre islandaise thorn minuscule',
-	yuml: 'y minuscule tréma',
-	OElig: 'ligature majuscule latine Œ',
-	oelig: 'ligature minuscule latine œ',
-	'372': 'W majuscule accent circonflexe',
-	'374': 'Y majuscule accent circonflexe',
-	'373': 'w minuscule accent circonflexe',
-	'375': 'y minuscule accent circonflexe',
-	sbquo: 'Guillemet simple fermant (anglais)',
+	yuml: 'Y tréma minuscule',
+	OElig: 'Ligature Œ majuscule',
+	oelig: 'Ligature Œ minuscule',
+	'372': 'W accent circonflexe majuscule',
+	'374': 'Y accent circonflexe majuscule',
+	'373': 'W accent circonflexe minuscule',
+	'375': 'Y accent circonflexe minuscule',
+	sbquo: 'Guillemet simple fermant inférieur',
 	'8219': 'Guillemet-virgule supérieur culbuté',
 	bdquo: 'Guillemet-virgule double inférieur',
 	hellip: 'Points de suspension',
-	trade: 'Marque commerciale (trade mark)',
+	trade: 'Symbole de marque commerciale',
 	'9658': 'Flèche noire pointant vers la droite',
 	bull: 'Gros point médian',
@@ -121,5 +121,5 @@
 	rArr: 'Double flèche vers la droite',
 	hArr: 'Double flèche vers la gauche',
-	diams: 'Carreau noir',
-	asymp: 'Presque égal'
+	diams: 'Losange noir',
+	asymp: 'Environ égal'
 } );
Index: plugins/dcCKEditor/js/ckeditor/plugins/specialchar/dialogs/lang/it.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/plugins/specialchar/dialogs/lang/it.js	(revision 3175)
+++ plugins/dcCKEditor/js/ckeditor/plugins/specialchar/dialogs/lang/it.js	(revision 3339)
@@ -47,5 +47,5 @@
 	Auml: 'Lettera maiuscola latina A con dieresi',
 	Aring: 'Lettera maiuscola latina A con anello sopra',
-	AElig: 'Lettera maiuscola latina AE',
+	AElig: 'Lettera maiuscola latina Æ',
 	Ccedil: 'Lettera maiuscola latina C con cediglia',
 	Egrave: 'Lettera maiuscola latina E con accento grave',
Index: plugins/dcCKEditor/js/ckeditor/plugins/specialchar/dialogs/lang/pt.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/plugins/specialchar/dialogs/lang/pt.js	(revision 3175)
+++ plugins/dcCKEditor/js/ckeditor/plugins/specialchar/dialogs/lang/pt.js	(revision 3339)
@@ -5,36 +5,36 @@
 
 CKEDITOR.plugins.setLang( 'specialchar', 'pt', {
-	euro: 'Símbolo do Euro',
+	euro: 'Símbolo de Euro',
 	lsquo: 'Aspa esquerda simples',
 	rsquo: 'Aspa direita simples',
 	ldquo: 'Aspa esquerda dupla',
 	rdquo: 'Aspa direita dupla',
-	ndash: 'Travessão Simples',
-	mdash: 'Travessão Longo',
+	ndash: 'Travessão simples',
+	mdash: 'Travessão longo',
 	iexcl: 'Ponto de exclamação invertido',
-	cent: 'Símbolo do Cêntimo',
-	pound: 'Símbolo da Libra',
+	cent: 'Símbolo de cêntimo',
+	pound: 'Símbolo de Libra',
 	curren: 'Símbolo de Moeda',
-	yen: 'Símbolo do Iene',
+	yen: 'Símbolo de Iene',
 	brvbar: 'Barra quebrada',
-	sect: 'Símbolo de Secção',
+	sect: 'Símbolo de secção',
 	uml: 'Trema',
-	copy: 'Símbolo dos Direitos de Autor',
+	copy: 'Símbolo de direitos de autor',
 	ordf: 'Indicador ordinal feminino',
 	laquo: 'Aspa esquerda ângulo duplo',
-	not: 'Não Símbolo',
-	reg: 'Símbolo de Registado',
+	not: 'Não símbolo',
+	reg: 'Símbolo de registado',
 	macr: 'Mácron',
-	deg: 'Símbolo de Grau',
+	deg: 'Símbolo de graus',
 	sup2: 'Expoente 2',
 	sup3: 'Expoente 3',
 	acute: 'Acento agudo',
-	micro: 'Símbolo de Micro',
-	para: 'Símbolo de Parágrafo',
-	middot: 'Ponto do Meio',
+	micro: 'Símbolo de micro',
+	para: 'Símbolo de parágrafo',
+	middot: 'Ponto do meio',
 	cedil: 'Cedilha',
 	sup1: 'Expoente 1',
 	ordm: 'Indicador ordinal masculino',
-	raquo: 'Aspas ângulo duplo pra Direita',
+	raquo: 'Aspas ângulo duplo para a direita',
 	frac14: 'Fração vulgar 1/4',
 	frac12: 'Fração vulgar 1/2',
@@ -112,8 +112,8 @@
 	'375': 'Letra minúscula latina y com circunflexo',
 	sbquo: 'Aspa Simples inferior-9',
-	'8219': 'Aspa Simples superior invertida-9',
+	'8219': 'Aspa simples superior invertida-9',
 	bdquo: 'Aspa duplas inferior-9',
-	hellip: 'Elipse Horizontal ',
-	trade: 'Símbolo de Marca Registada',
+	hellip: 'Elipse horizontal ',
+	trade: 'Símbolo de marca registada',
 	'9658': 'Ponteiro preto direito',
 	bull: 'Marca',
Index: plugins/dcCKEditor/js/ckeditor/plugins/specialchar/dialogs/lang/sl.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/plugins/specialchar/dialogs/lang/sl.js	(revision 3175)
+++ plugins/dcCKEditor/js/ckeditor/plugins/specialchar/dialogs/lang/sl.js	(revision 3339)
@@ -5,32 +5,32 @@
 
 CKEDITOR.plugins.setLang( 'specialchar', 'sl', {
-	euro: 'Evro znak',
+	euro: 'Znak za evro',
 	lsquo: 'Levi enojni narekovaj',
 	rsquo: 'Desni enojni narekovaj',
 	ldquo: 'Levi dvojni narekovaj',
 	rdquo: 'Desni dvojni narekovaj',
-	ndash: 'En pomišljaj',
-	mdash: 'Em pomišljaj',
+	ndash: 'Pomišljaj',
+	mdash: 'Dolgi pomišljaj',
 	iexcl: 'Obrnjen klicaj',
-	cent: 'Cent znak',
-	pound: 'Funt znak',
+	cent: 'Znak za cent',
+	pound: 'Znak za funt',
 	curren: 'Znak valute',
-	yen: 'Jen znak',
+	yen: 'Znak za jen',
 	brvbar: 'Zlomljena črta',
-	sect: 'Znak oddelka',
-	uml: 'Diaeresis',
+	sect: 'Znak za člen',
+	uml: 'Diereza',
 	copy: 'Znak avtorskih pravic',
 	ordf: 'Ženski zaporedni kazalnik',
-	laquo: 'Levi obrnjen dvojni kotni narekovaj',
-	not: 'Ne znak',
+	laquo: 'Levi dvojni lomljeni narekovaj',
+	not: 'Znak za ne',
 	reg: 'Registrirani znak',
-	macr: 'Macron',
-	deg: 'Znak stopinj',
+	macr: 'Nadčrtano',
+	deg: 'Znak za stopinje',
 	sup2: 'Nadpisano dva',
 	sup3: 'Nadpisano tri',
 	acute: 'Ostrivec',
-	micro: 'Mikro znak',
-	para: 'Pilcrow znak',
-	middot: 'Sredinska pika',
+	micro: 'Znak za mikro',
+	para: 'Znak za odstavek',
+	middot: 'Usredinjena pika',
 	cedil: 'Cedilla',
 	sup1: 'Nadpisano ena',
Index: plugins/dcLegacyEditor/_define.php
===================================================================
--- plugins/dcLegacyEditor/_define.php	(revision 3258)
+++ plugins/dcLegacyEditor/_define.php	(revision 3333)
@@ -19,5 +19,9 @@
 	array(
 		'permissions' =>	'usage,contentadmin',
-		'type'		=>		'plugin'
+		'type'		=>		'plugin',
+		'settings'	=>		array(
+								'self' => '',
+								'pref' => '#user-options.user_options_edition'
+							)
 	)
 );
Index: plugins/importExport/inc/class.dc.import.feed.php
===================================================================
--- plugins/importExport/inc/class.dc.import.feed.php	(revision 3269)
+++ plugins/importExport/inc/class.dc.import.feed.php	(revision 3340)
@@ -144,6 +144,6 @@
 			$cur->clean();
 			$cur->user_id = $this->core->auth->userID();
-			$cur->post_content = $item->content ? $item->content : $item->description;
-			$cur->post_title = $item->title ? $item->title : text::cutString(html::clean($cur->post_content),60);
+			$cur->post_content = $item->content ?: $item->description;
+			$cur->post_title = $item->title ?: text::cutString(html::clean($cur->post_content),60);
 			$cur->post_format = 'xhtml';
 			$cur->post_status = -2;
Index: plugins/importExport/inc/class.dc.import.wp.php
===================================================================
--- plugins/importExport/inc/class.dc.import.wp.php	(revision 2566)
+++ plugins/importExport/inc/class.dc.import.wp.php	(revision 3340)
@@ -658,5 +658,5 @@
 		}
 		$cur->post_type         = $rs->post_type;
-		$cur->post_password     = $rs->post_password ? $rs->post_password : NULL;
+		$cur->post_password     = $rs->post_password ?: NULL;
 		$cur->post_open_comment = $rs->comment_status == 'open' ? 1 : 0;
 		$cur->post_open_tb      = $rs->ping_status == 'open' ? 1 : 0;
Index: plugins/maintenance/_admin.php
===================================================================
--- plugins/maintenance/_admin.php	(revision 2849)
+++ plugins/maintenance/_admin.php	(revision 3340)
@@ -61,4 +61,5 @@
 
 		->addTask('dcMaintenanceCache')
+		->addTask('dcMaintenanceCSP')
 		->addTask('dcMaintenanceIndexposts')
 		->addTask('dcMaintenanceIndexcomments')
@@ -276,5 +277,5 @@
 				}
 				if (!empty($res_task)) {
-					$desc = $group_obj->description ? $group_obj->description : $group_obj->summary;
+					$desc = $group_obj->description ?: $group_obj->summary;
 
 					$res_group .=
@@ -285,5 +286,5 @@
 			}
 			if (!empty($res_group)) {
-				$desc = $tab_obj->description ? $tab_obj->description : $tab_obj->summary;
+				$desc = $tab_obj->description ?: $tab_obj->summary;
 
 				$res_tab .=
Index: plugins/maintenance/_define.php
===================================================================
--- plugins/maintenance/_define.php	(revision 2257)
+++ plugins/maintenance/_define.php	(revision 3333)
@@ -19,5 +19,8 @@
 	array(
 		'permissions' =>	'admin',
-		'type'		=>		'plugin'
+		'type'		=>		'plugin',
+		'settings'	=>		array(
+								'self' => '#settings'
+							)
 	)
 
